Package org.eclipse.net4j.util

# Interface StringParser<T>

All Superinterfaces:
  `Function<String,T>`

All Known Implementing Classes:
  `StringParser.EnumStringParser`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface StringParser<T> extends Function<String,T>
Parses strings and returns any kind of `objects`.

Since:
  3.23
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`StringParser.EnumStringParser<T extends Enum<T>>`
`static final class`
`StringParser.MetaFactory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StringParser<BigDecimal>`
`BIG_DECIMAL`
`static final StringParser<BigInteger>`
`BIG_INTEGER`
`static final StringParser<Boolean>`
`BOOLEAN`
`static final StringParser<Byte>`
`BYTE`
`static final StringParser<Character>`
`CHARACTER`
`static final StringParser<Double>`
`DOUBLE`
`static final StringParser<File>`
`FILE`
`static final StringParser<Float>`
`FLOAT`
`static final StringParser<String>`
`IDENTITY`
`static final StringParser<Integer>`
`INTEGER`
`static final StringParser<Long>`
`LONG`
`static final StringParser<Path>`
`PATH`
`static final String`
`PRODUCT_GROUP`
`static final StringParser<Short>`
`SHORT`

## Method Summary

Modifier and Type
Method
Description
`T`
`apply(String str)`
`default StringParser<T>`
`safe()`
`static <T> StringParser<T>`
`safe(StringParser<T> other)`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### IDENTITY

static final StringParser<String> IDENTITY

### CHARACTER

static final StringParser<Character> CHARACTER

### BOOLEAN

static final StringParser<Boolean> BOOLEAN

### BYTE

static final StringParser<Byte> BYTE

### SHORT

static final StringParser<Short> SHORT

### INTEGER

static final StringParser<Integer> INTEGER

### LONG

static final StringParser<Long> LONG

### FLOAT

static final StringParser<Float> FLOAT

### DOUBLE

static final StringParser<Double> DOUBLE

### BIG_INTEGER

static final StringParser<BigInteger> BIG_INTEGER

### BIG_DECIMAL

static final StringParser<BigDecimal> BIG_DECIMAL

### PATH

static final StringParser<Path> PATH

### FILE

static final StringParser<File> FILE

## Method Details

### apply

T apply(String str)

Specified by:
  `apply` in interface `Function<String,T>`

### safe

default StringParser<T> safe()

### safe

static <T> StringParser<T> safe(StringParser<T> other)